tpm2_evictcontrol(8)

NAME
tpm2_evictcontrol - allows a transient object to be made persistent or a persistent object to be evicted.

SYNOPSIS
tpm2_evictcontrol[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --auth|--handle|--context|--persistent|--pwda|--passwdInHex| ]

allows a transient object to be made persistent or a persistent object to be evicted.

DESCRIPTION
tpm2_evictcontrol allows a transient object to be made persistent or a persistent object to be evicted.

OPTIONS

-A ,--auth
    the authorization used to authorize the commands o TPM_RH_OWNER p TPM_RH_PLATFORM

-H ,--handle
    the handle of a loaded object

-c ,--context
    filename for object context

-S ,--persistent
    the persistent handle for objectHandle

-P ,--pwda
    authrization password, optional

-X ,--passwdInHex
    passwords given by any options are hex format.

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_evictcontrol

    tpm2_evictcontrol -A o -c object.context -S 0x81010002 -P abc123
    tpm2_evictcontrol -A o -H 0x81010002 -S 0x81010002 -P abc123
    tpm2_evictcontrol -A o -H 0x81010002 -S 0x81010002 -P 123abc -X